Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Start connecting GitHub

Starts installing Kapten’s GitHub App for the organization. Returns the GitHub URL to send the user to; GitHub sends them back to Kapten once the app is installed.

POST/integration/github/connection-sessions
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Request body
requiredapplication/json
return_targetstringrequired
Allowed:organization_settingskapplication_source
kapplication_idstring<uuid> | null
Responses
200

GitHub connection session created

setup_urlstring<uri>required
expires_atstring<date-time>required
default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X POST 'https://api.kapten.io/integration/github/connection-sessions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "return_target": "organization_settings",
  "kapplication_id": "f175e330-5cbe-4cb3-93cb-ec786e7bd8af"
}'
Response
{
  "setup_url": "http://example.com",
  "expires_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?